<?php 

declare(strict_types =1);

namespace MyApp\Entity;
use MyApp\Entity\Chambre;
use MyApp\Entity\Image_chambre;

class Image_chambre{
    private ?int $id = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private string $lien_image;
    private ?Chambre $id_chambre = null;

    public function __construct(?int $id, string $lien_image, ?Chambre $id_chambre){
        $this->id = $id;
        $this->lien_image = $lien_image;
        $this->id_chambre = $id_chambre;
    }

    // get pour récuperer des données dans la BDD
    public function getId():?int{
        return $this->id;
    }
    public function setId(?int $id):void{
        $this->id = $id;
    }
    
    public function getLien_image():string{
        return $this->lien_image;
    }

    public function setLien_image(string $lien_image):void{
        $this->lien_image = $lien_image;
    }

    public function getId_chambre():?Chambre{
        return $this->id_chambre;
    }
    public function setId_chambre(?Chambre $id_chambre):void{
        $this->id_chambre = $id_chambre;
    }


}
